<template>
  <div class="container-fluid py-5">
    <!-- Jumbotroon -->
    <b-jumbotron
      border-variant="white"
      header-level="4"
      class="bg-info text-white py-5 border-danger"
      header="Daftar Santri QODR Magelang"
      lead="Tahun Ajaran 2020/2021"
    />
    <!-- Navbar -->
    <b-navbar toggleable="lg" type="white" variant="white">
      <b-button class="bg-info">
        Tambah Santri
      </b-button>

    <b-navbar-toggle target="nav-collapse" />

    <b-collapse id="nav-collapse" is-nav>

      <!-- Right aligned nav items -->
      <b-navbar-nav class="ml-auto">
        <b-nav-form>
          <b-form-input size="sm" class="mr-sm-2" placeholder="Cari santri" />
        </b-nav-form>
      </b-navbar-nav>
    </b-collapse>
    </b-navbar>

    <!-- table -->
    <b-table
      class="mt-5 text-white"
      striped
      hover
      :items="items"
      :per-page="perPage"
      :current-page="currentPage"
    >
      <template #cell(action)="{ rowSelected }">
        <b-button class="bg-danger text-white">
          Hapus
        </b-button>
        <b-button class="bg-warning text-white">
          Ubah
        </b-button>
      </template>
    </b-table>
    <b-row class="justify-content-end pr-3">
      <b-pagination
        v-model="currentPage"
        :total-rows="rows"
        :per-page="perPage"
        aria-controls="my-table"
      />
    </b-row>


  </div>
</template>

<script>
export default {
  data() {
      return {
        perPage: 3,
        currentPage: 1,
        items: [
          { ID: 40, Nama: 'Dickerson', Jurusan: 'Macdonald', action: '' },
          { ID: 21, Nama: 'Larsen', Jurusan: 'Shaw', action: '' },
          { ID: 89, Nama: 'Geneva', Jurusan: 'Wilson', action: '' },
          { ID: 38, Nama: 'Jami', Jurusan: 'Carney', action: ''}
        ]
      }
    },
  computed: {
    rows() {
      return this.items.length
    }
  }
}
</script>
